package cc.javastudio.testapp;

import cc.javastudio.raw.FileHandler;
import cc.javastudio.raw.Index;
import cc.javastudio.raw.Person;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.sql.SQLOutput;

public class TestApp {
    public static void main(String[] args) {

            try {
                FileHandler fh = new FileHandler("DBServer.db");
                fh.loadIndex();
                System.out.println("Number of rows in database " + Index.getInstance().getTotalRowNumberOfRows());
                fh.add("Pipi Langkous", 44, "New-York", "www-404", "Blue VW Beetle");
                fh.add("Jane Doe", 40, "New-York", "www-404", "Red VW Beetle" );
                Person person  = fh.readRow(0);
                System.out.println(person);

            } catch (IOException e) {
                e.printStackTrace();
            }
    }
}
